const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2021-02-01";
pub const sdk_id: []const u8 = "Account";
pub const arn_namespace: ?[]const u8 = "account";
pub const endpoint_prefix: []const u8 = "";
pub const sigv4_name: []const u8 = "account";
pub const name: []const u8 = "Account";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2021-02-01",
    sdk_id: []const u8 = "Account",
    arn_namespace: ?[]const u8 = "account",
    endpoint_prefix: []const u8 = "",
    sigv4_name: []const u8 = "account",
    name: []const u8 = "Account",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
