const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2018-05-10";
pub const sdk_id: []const u8 = "Artifact";
pub const arn_namespace: ?[]const u8 = "artifact";
pub const endpoint_prefix: []const u8 = "";
pub const sigv4_name: []const u8 = "artifact";
pub const name: []const u8 = "Artifact";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2018-05-10",
    sdk_id: []const u8 = "Artifact",
    arn_namespace: ?[]const u8 = "artifact",
    endpoint_prefix: []const u8 = "",
    sigv4_name: []const u8 = "artifact",
    name: []const u8 = "Artifact",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
