const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2023-06-05";
pub const sdk_id: []const u8 = "Bedrock Agent";
pub const arn_namespace: ?[]const u8 = "bedrock";
pub const endpoint_prefix: []const u8 = "bedrock-agent";
pub const sigv4_name: []const u8 = "bedrock";
pub const name: []const u8 = "AmazonBedrockAgentBuildTimeLambda";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2023-06-05",
    sdk_id: []const u8 = "Bedrock Agent",
    arn_namespace: ?[]const u8 = "bedrock",
    endpoint_prefix: []const u8 = "bedrock-agent",
    sigv4_name: []const u8 = "bedrock",
    name: []const u8 = "AmazonBedrockAgentBuildTimeLambda",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
