const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2023-09-30";
pub const sdk_id: []const u8 = "Bedrock Runtime";
pub const arn_namespace: ?[]const u8 = null;
pub const endpoint_prefix: []const u8 = "bedrock-runtime";
pub const sigv4_name: []const u8 = "bedrock";
pub const name: []const u8 = "AmazonBedrockFrontendService";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2023-09-30",
    sdk_id: []const u8 = "Bedrock Runtime",
    arn_namespace: ?[]const u8 = null,
    endpoint_prefix: []const u8 = "bedrock-runtime",
    sigv4_name: []const u8 = "bedrock",
    name: []const u8 = "AmazonBedrockFrontendService",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
