const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2024-01-01";
pub const sdk_id: []const u8 = "SupplyChain";
pub const arn_namespace: ?[]const u8 = "scn";
pub const endpoint_prefix: []const u8 = "scn";
pub const sigv4_name: []const u8 = "scn";
pub const name: []const u8 = "GalaxyPublicAPIGateway";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2024-01-01",
    sdk_id: []const u8 = "SupplyChain",
    arn_namespace: ?[]const u8 = "scn",
    endpoint_prefix: []const u8 = "scn",
    sigv4_name: []const u8 = "scn",
    name: []const u8 = "GalaxyPublicAPIGateway",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
