const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2022-10-30";
pub const sdk_id: []const u8 = "ARC Zonal Shift";
pub const arn_namespace: ?[]const u8 = null;
pub const endpoint_prefix: []const u8 = "arc-zonal-shift";
pub const sigv4_name: []const u8 = "arc-zonal-shift";
pub const name: []const u8 = "PercDataPlane";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2022-10-30",
    sdk_id: []const u8 = "ARC Zonal Shift",
    arn_namespace: ?[]const u8 = null,
    endpoint_prefix: []const u8 = "arc-zonal-shift",
    sigv4_name: []const u8 = "arc-zonal-shift",
    name: []const u8 = "PercDataPlane",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
