const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2023-04-20";
pub const sdk_id: []const u8 = "Bedrock";
pub const arn_namespace: ?[]const u8 = null;
pub const endpoint_prefix: []const u8 = "bedrock";
pub const sigv4_name: []const u8 = "bedrock";
pub const name: []const u8 = "AmazonBedrockControlPlaneService";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2023-04-20",
    sdk_id: []const u8 = "Bedrock",
    arn_namespace: ?[]const u8 = null,
    endpoint_prefix: []const u8 = "bedrock",
    sigv4_name: []const u8 = "bedrock",
    name: []const u8 = "AmazonBedrockControlPlaneService",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
