const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2018-05-10";
pub const sdk_id: []const u8 = "Launch Wizard";
pub const arn_namespace: ?[]const u8 = "launchwizard";
pub const endpoint_prefix: []const u8 = "launchwizard";
pub const sigv4_name: []const u8 = "launchwizard";
pub const name: []const u8 = "LaunchWizard";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2018-05-10",
    sdk_id: []const u8 = "Launch Wizard",
    arn_namespace: ?[]const u8 = "launchwizard",
    endpoint_prefix: []const u8 = "launchwizard",
    sigv4_name: []const u8 = "launchwizard",
    name: []const u8 = "LaunchWizard",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
