const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2020-11-19";
pub const sdk_id: []const u8 = "Location";
pub const arn_namespace: ?[]const u8 = "geo";
pub const endpoint_prefix: []const u8 = "";
pub const sigv4_name: []const u8 = "geo";
pub const name: []const u8 = "LocationService";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2020-11-19",
    sdk_id: []const u8 = "Location",
    arn_namespace: ?[]const u8 = "geo",
    endpoint_prefix: []const u8 = "",
    sigv4_name: []const u8 = "geo",
    name: []const u8 = "LocationService",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
